
TYPO3.Flow - Feature # 9456

Status: Resolved Priority: Should have
Author: Robert Lemke Category: MVC
Created: 2010-08-25 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: MVC arguments should be converted to their target type
Description

MVC arguments are mapped from the arguments found in the HTTP request (GET / POST ...) to controller argument objects. Because
the raw arguments provided by the requests are strings, they currently also end up as strings in the argument objects.

We should instead transform the arguments to their declared type if possible. As we already know the designated data type for each
argument (from the annotations and type hints) that should be easily possible.

Related issues:
related to TYPO3.Flow - Bug # 6195: Empty form fields converted to empty stri... Resolved

Associated revisions
Revision 112feeea - 2010-08-25 16:12 - Robert Lemke

[+FEATURE] FLOW3 (MVC): Convert controller arguments into their declared data type

Controller Arguments are now converted into real integers, floats and booleans if
they wered declared as such in the type hint or @param annotation.

Empty values are now detected as such and result in NULL as the argument's value.

Change-Id: I3deace5bb0e40a7e0fb7e2302d4995d8f74f0009
Resolves: #9456
Fixes: #6195

Revision 95131fac - 2010-08-25 16:52 - Robert Lemke

[+FEATURE] FLOW3 (MVC): Convert controller arguments into their declared data type

Controller Arguments are now converted into real integers, floats and booleans if
they wered declared as such in the type hint or @param annotation.

Empty values are now detected as such and result in NULL as the argument's value.

Change-Id: I3deace5bb0e40a7e0fb7e2302d4995d8f74f0009
Resolves: #9456
Fixes: #6195

History
#1 - 2010-08-25 16:30 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"112feeea56d696abf05ceeda158fec6f879c0b50".

#2 - 2010-08-25 17:21 - Robert Lemke
- Target version changed from 639 to 1.0 alpha 12
